summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--INFO.yaml80
-rw-r--r--docs/testing/user/userguide/15-list-of-tcs.rst3
-rw-r--r--docs/testing/user/userguide/opnfv_yardstick_tc056.rst2
-rw-r--r--etc/infra/infra_deploy.yaml.sample2
-rwxr-xr-xyardstick/resources/scripts/install/ovs_deploy.bash23
5 files changed, 92 insertions, 18 deletions
diff --git a/INFO.yaml b/INFO.yaml
new file mode 100644
index 000000000..f84f6952e
--- /dev/null
+++ b/INFO.yaml
@@ -0,0 +1,80 @@
+---
+project: 'Test framework for verifying infrastructure compliance (yardstick)'
+project_creation_date: 'April 28th, 2015'
+project_category: 'Integration & Testing'
+lifecycle_state: 'Incubation'
+project_lead: &opnfv_yardstick_ptl
+ name: 'Ross Brattain'
+ email: 'ross.b.brattain@intel.com'
+ id: 'rbbratta'
+ company: 'intel.com'
+ timezone: 'PST'
+primary_contact: *opnfv_yardstick_ptl
+issue_tracking:
+ type: 'jira'
+ url: 'https://jira.opnfv.org/projects/Yardstick'
+ key: 'Yardstick'
+mailing_list:
+ type: 'mailman2'
+ url: 'opnfv-tech-discuss@lists.opnfv.org'
+ tag: '[yardstick]'
+realtime_discussion:
+ type: irc
+ server: 'freenode.net'
+ channel: '#opnfv-yardstick'
+meetings:
+ - type: 'gotomeeting+irc'
+ agenda: 'https://wiki.opnfv.org/display/yardstick/Yardstick+Meetings'
+ url: 'https://global.gotomeeting.com/join/819733085'
+ server: 'freenode.net'
+ channel: '#opnfv-yardstick'
+ repeats: 'weekly'
+ time: '08:30 UTC'
+repositories:
+ - 'yardstick'
+committers:
+ - <<: *opnfv_yardstick_ptl
+ - name: 'Jörgen Karlsson'
+ email: 'jorgen.w.karlsson@ericsson.com'
+ company: 'ericsson.com'
+ id: 'jnon'
+ - name: 'Kubi'
+ email: 'jean.gaoliang@huawei.com'
+ company: 'huawei.com'
+ id: 'kubi'
+ - name: 'Rex Lee'
+ email: 'limingjiang@huawei.com'
+ company: 'huawei.com'
+ id: 'rexlee8776'
+ - name: 'Jing Lu'
+ email: 'lvjing5@huawei.com'
+ company: 'huawei.com'
+ id: 'JingLu5'
+ - name: 'zhihui wu'
+ email: 'wu.zhihui1@zte.com.cn'
+ company: 'zte.com.cn'
+ id: 'wu.zhihui'
+ - name: 'Trevor Cooper'
+ email: 'trevor.cooper@intel.com'
+ company: 'intel.com'
+ id: 'trev'
+ - name: 'Jack Chan'
+ email: 'chenjiankun1@huawei.com'
+ company: 'huawei.com'
+ id: 'chenjiankun'
+ - name: 'Emma Foley'
+ email: 'emma.l.foley@intel.com'
+ company: 'intel.com'
+ id: 'elfoley'
+ - name: 'Rodolfo Alonso Hernandez'
+ email: 'rodolfo.alonso.hernandez@intel.com'
+ company: 'intel.com'
+ id: 'rodolfo.ah'
+ - name: 'Kanglin Yin'
+ email: '14_ykl@tongji.edu.cn'
+ company: 'tongji.edu.cn'
+ id: 'tjuyinkanglin'
+tsc:
+ # yamllint disable rule:line-length
+ approval: 'http//meetbot.opnfv.org/meetings/'
+ # yamllint enable rule:line-length
diff --git a/docs/testing/user/userguide/15-list-of-tcs.rst b/docs/testing/user/userguide/15-list-of-tcs.rst
index b62bf6390..47526cdda 100644
--- a/docs/testing/user/userguide/15-list-of-tcs.rst
+++ b/docs/testing/user/userguide/15-list-of-tcs.rst
@@ -80,6 +80,9 @@ H A
opnfv_yardstick_tc052.rst
opnfv_yardstick_tc053.rst
opnfv_yardstick_tc054.rst
+ opnfv_yardstick_tc056.rst
+ opnfv_yardstick_tc057.rst
+ opnfv_yardstick_tc058.rst
IPv6
----
diff --git a/docs/testing/user/userguide/opnfv_yardstick_tc056.rst b/docs/testing/user/userguide/opnfv_yardstick_tc056.rst
index 01aa99ac2..e6e06df57 100644
--- a/docs/testing/user/userguide/opnfv_yardstick_tc056.rst
+++ b/docs/testing/user/userguide/opnfv_yardstick_tc056.rst
@@ -98,7 +98,7 @@ Yardstick Test Case Description TC056
| | |
+--------------+--------------------------------------------------------------+
|configuration | This test case needs two configuration files: |
-| | 1) test case file:opnfv_yardstick_tc056.yaml |
+| | 1) test case file: opnfv_yardstick_tc056.yaml |
| | -Attackers: see above "attackers" description |
| | -waiting_time: which is the time (seconds) from the process |
| | being killed to stoping monitors the monitors |
diff --git a/etc/infra/infra_deploy.yaml.sample b/etc/infra/infra_deploy.yaml.sample
index fb162d35b..df682ac3b 100644
--- a/etc/infra/infra_deploy.yaml.sample
+++ b/etc/infra/infra_deploy.yaml.sample
@@ -12,7 +12,7 @@ nodes:
ram: 8192
vcpus: 4
- - name Controller_Compute VM
+ - name: Controller_Compute VM
openstack_node: controller_compute
hostname: controller_compute
interfaces:
diff --git a/yardstick/resources/scripts/install/ovs_deploy.bash b/yardstick/resources/scripts/install/ovs_deploy.bash
index d94f30db1..beda9a5e0 100755
--- a/yardstick/resources/scripts/install/ovs_deploy.bash
+++ b/yardstick/resources/scripts/install/ovs_deploy.bash
@@ -14,6 +14,8 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -e
+
INSTALL_OVS_BIN="/usr/src"
cd $INSTALL_OVS_BIN
@@ -22,20 +24,6 @@ if [[ $EUID -ne 0 ]]; then
exit 1;
fi
-prerequisite()
-{
- echo "Install required libraries to run collectd..."
- pkg=(git flex bison build-essential pkg-config automake autotools-dev libltdl-dev cmake qemu-kvm libvirt-bin bridge-utils numactl libnuma-dev libpcap-dev)
- for i in "${pkg[@]}"; do
- dpkg-query -W --showformat='${Status}\n' "${i}"|grep "install ok installed"
- if [ "$?" -eq "1" ]; then
- apt-get update
- apt-get -y install "${i}";
- fi
- done
- echo "Done"
-}
-
download_zip()
{
url=$1
@@ -53,6 +41,7 @@ download_zip()
dpdk_build()
{
+ echo "Build DPDK libraries"
pushd .
if [[ $DPDK_VERSION != "" ]]; then
export DPDK_DIR=$INSTALL_OVS_BIN/dpdk-stable-$DPDK_VERSION
@@ -62,13 +51,15 @@ dpdk_build()
DPDK_DOWNLOAD="http://fast.dpdk.org/rel/dpdk-$DPDK_VERSION.tar.xz"
download_zip "${DPDK_DOWNLOAD}" "DPDK"
cd dpdk-stable-"$DPDK_VERSION"
- make install -j T=$RTE_TARGET
+ make config T=$RTE_TARGET
+ make install -j $(nproc) T=$RTE_TARGET
fi
popd
}
ovs()
{
+ echo "Build and install OVS with DPDK"
pushd .
if [[ $OVS_VERSION != "" ]]; then
rm -rf openswitch-"$OVS_VERSION"
@@ -82,7 +73,7 @@ ovs()
else
./configure
fi
- make install -j
+ make install -j $(nproc)
fi
popd
}